diff --git a/games/khangman/Makefile b/games/khangman/Makefile
index 65f3a85cf7e3..6bb348108891 100644
--- a/games/khangman/Makefile
+++ b/games/khangman/Makefile
@@ -1,19 +1,17 @@
 PORTNAME=	khangman
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	games kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Hangman game for KDE 4
 WWW=		https://edu.kde.org/khangman
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
-		crash doctools i18n kdeclarative libkeduvocdocument \
-		newstuff notifications package service widgetsaddons xmlgui \
+		crash doctools i18n kdeclarative libkeduvocdocument newstuff \
+		notifications package service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/khangman/distinfo b/games/khangman/distinfo
index 784269fb68a0..b1c19c595293 100644
--- a/games/khangman/distinfo
+++ b/games/khangman/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889383
-SHA256 (KDE/release-service/23.08.5/khangman-23.08.5.tar.xz) = 4307017c1ada08a1cda5a38b45aebdd250520adcc773c580938fb1cb1fcd56f6
-SIZE (KDE/release-service/23.08.5/khangman-23.08.5.tar.xz) = 7448596
+TIMESTAMP = 1734460139
+SHA256 (KDE/release-service/24.12.0/khangman-24.12.0.tar.xz) = 8008e9321fbd4ad861078c9f2b40a1cb9cca15c5e06c6870c5547ebb380d6073
+SIZE (KDE/release-service/24.12.0/khangman-24.12.0.tar.xz) = 7022316
diff --git a/games/khangman/pkg-plist b/games/khangman/pkg-plist
index 46ee3fc33230..fbc8b0aede8f 100644
--- a/games/khangman/pkg-plist
+++ b/games/khangman/pkg-plist
@@ -1,5 +1,4 @@
 bin/khangman
-etc/xdg/khangman.knsrc
 share/applications/org.kde.khangman.desktop
 share/config.kcfg/khangman.kcfg
 share/icons/hicolor/128x128/apps/khangman.png
@@ -13,6 +12,7 @@ share/icons/hicolor/scalable/apps/khangman.svgz
 %%DATADIR%%/cs.txt
 %%DATADIR%%/da.txt
 %%DATADIR%%/de.txt
+%%DATADIR%%/eo.txt
 %%DATADIR%%/es.txt
 %%DATADIR%%/et.txt
 %%DATADIR%%/fi.txt
@@ -28,44 +28,6 @@ share/icons/hicolor/scalable/apps/khangman.svgz
 %%DATADIR%%/pl.txt
 %%DATADIR%%/pt.txt
 %%DATADIR%%/pt_BR.txt
-%%DATADIR%%/qml/GamePage.qml
-%%DATADIR%%/qml/Images/about-kde.png
-%%DATADIR%%/qml/Images/action-fail.png
-%%DATADIR%%/qml/Images/action-success.png
-%%DATADIR%%/qml/Images/dialog-information.png
-%%DATADIR%%/qml/Images/get-hot-new-stuff.png
-%%DATADIR%%/qml/Images/go-next.png
-%%DATADIR%%/qml/Images/handbook.png
-%%DATADIR%%/qml/Images/help-hint.png
-%%DATADIR%%/qml/Images/pause.png
-%%DATADIR%%/qml/Images/play.png
-%%DATADIR%%/qml/Images/quit.png
-%%DATADIR%%/qml/Images/settings_icon.png
-%%DATADIR%%/qml/LetterElement.qml
-%%DATADIR%%/qml/MainSettingsDialog.qml
-%%DATADIR%%/qml/MySelectionDialog.qml
-%%DATADIR%%/qml/gallows/gallows1.png
-%%DATADIR%%/qml/gallows/gallows10.png
-%%DATADIR%%/qml/gallows/gallows2.png
-%%DATADIR%%/qml/gallows/gallows3.png
-%%DATADIR%%/qml/gallows/gallows4.png
-%%DATADIR%%/qml/gallows/gallows5.png
-%%DATADIR%%/qml/gallows/gallows6.png
-%%DATADIR%%/qml/gallows/gallows7.png
-%%DATADIR%%/qml/gallows/gallows8.png
-%%DATADIR%%/qml/gallows/gallows9.png
-%%DATADIR%%/qml/main.qml
-%%DATADIR%%/qml/sounds/EW_Dialogue_Appear.ogg
-%%DATADIR%%/qml/sounds/EW_Dialogue_Appear.wav
-%%DATADIR%%/qml/sounds/chalk.ogg
-%%DATADIR%%/qml/sounds/chalk.wav
-%%DATADIR%%/qml/sounds/khangman-alphabet-button-press.wav
-%%DATADIR%%/qml/sounds/new_game.ogg
-%%DATADIR%%/qml/sounds/new_game.wav
-%%DATADIR%%/qml/sounds/splash.ogg
-%%DATADIR%%/qml/sounds/splash.wav
-%%DATADIR%%/qml/sounds/wrong.ogg
-%%DATADIR%%/qml/sounds/wrong.wav
 %%DATADIR%%/sk.txt
 %%DATADIR%%/sl.txt
 %%DATADIR%%/sr@ijekavianlatin.txt
@@ -79,8 +41,10 @@ share/icons/hicolor/scalable/apps/khangman.svgz
 %%DATADIR%%/themes/khangman_winter.svg
 %%DATADIR%%/themes/standardthemes.xml
 %%DATADIR%%/tr.txt
+share/knsrcfiles/khangman.knsrc
 share/locale/af/LC_MESSAGES/khangman.mo
 share/locale/ar/LC_MESSAGES/khangman.mo
+share/locale/ast/LC_MESSAGES/khangman.mo
 share/locale/be/LC_MESSAGES/khangman.mo
 share/locale/bg/LC_MESSAGES/khangman.mo
 share/locale/bn/LC_MESSAGES/khangman.mo
@@ -109,6 +73,7 @@ share/locale/hi/LC_MESSAGES/khangman.mo
 share/locale/hne/LC_MESSAGES/khangman.mo
 share/locale/hr/LC_MESSAGES/khangman.mo
 share/locale/hu/LC_MESSAGES/khangman.mo
+share/locale/ia/LC_MESSAGES/khangman.mo
 share/locale/is/LC_MESSAGES/khangman.mo
 share/locale/it/LC_MESSAGES/khangman.mo
 share/locale/ja/LC_MESSAGES/khangman.mo
@@ -159,6 +124,7 @@ share/man/nl/man6/khangman.6.gz
 share/man/pt/man6/khangman.6.gz
 share/man/pt_BR/man6/khangman.6.gz
 share/man/ru/man6/khangman.6.gz
+share/man/sl/man6/khangman.6.gz
 share/man/sv/man6/khangman.6.gz
 share/man/uk/man6/khangman.6.gz
 share/metainfo/org.kde.khangman.appdata.xml
diff --git a/games/kigo/Makefile b/games/kigo/Makefile
index c88d850524f7..50c9540f0ebc 100644
--- a/games/kigo/Makefile
+++ b/games/kigo/Makefile
@@ -6,14 +6,14 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kigo/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 qt:5 tar:xz xorg
-USE_KDE=	attica auth codecs completion config configwidgets \
-		coreaddons crash dbusaddons i18n jobwidgets kio \
-		libkdegames newstuff notifyconfig service solid sonnet textwidgets \
-		widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
+USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
+		crash dbusaddons i18n jobwidgets kio libkdegames newstuff \
+		notifyconfig service solid sonnet textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/kigo/distinfo b/games/kigo/distinfo
index b10d4af99b0b..6d617913cbaf 100644
--- a/games/kigo/distinfo
+++ b/games/kigo/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889389
-SHA256 (KDE/release-service/23.08.5/kigo-23.08.5.tar.xz) = 0ac07c74c98214606a588af2753b4db7e21d1e9d81b9cad258f2b4c77ab58af4
-SIZE (KDE/release-service/23.08.5/kigo-23.08.5.tar.xz) = 5269404
+TIMESTAMP = 1734460141
+SHA256 (KDE/release-service/24.12.0/kigo-24.12.0.tar.xz) = c98ae93ff332186e1ad8637983e3216b00f8062d9a56ad40cc2497690b71ef6d
+SIZE (KDE/release-service/24.12.0/kigo-24.12.0.tar.xz) = 4833052
diff --git a/games/kigo/pkg-plist b/games/kigo/pkg-plist
index c04fde13540c..8052d91183b5 100644
--- a/games/kigo/pkg-plist
+++ b/games/kigo/pkg-plist
@@ -18,6 +18,7 @@ share/icons/hicolor/64x64/apps/kigo.png
 share/knsrcfiles/kigo-games.knsrc
 share/knsrcfiles/kigo.knsrc
 share/locale/ar/LC_MESSAGES/kigo.mo
+share/locale/ast/LC_MESSAGES/kigo.mo
 share/locale/bg/LC_MESSAGES/kigo.mo
 share/locale/bs/LC_MESSAGES/kigo.mo
 share/locale/ca/LC_MESSAGES/kigo.mo
@@ -35,9 +36,11 @@ share/locale/fi/LC_MESSAGES/kigo.mo
 share/locale/fr/LC_MESSAGES/kigo.mo
 share/locale/ga/LC_MESSAGES/kigo.mo
 share/locale/gl/LC_MESSAGES/kigo.mo
+share/locale/he/LC_MESSAGES/kigo.mo
 share/locale/hr/LC_MESSAGES/kigo.mo
 share/locale/hsb/LC_MESSAGES/kigo.mo
 share/locale/hu/LC_MESSAGES/kigo.mo
+share/locale/ia/LC_MESSAGES/kigo.mo
 share/locale/id/LC_MESSAGES/kigo.mo
 share/locale/is/LC_MESSAGES/kigo.mo
 share/locale/it/LC_MESSAGES/kigo.mo
@@ -75,4 +78,5 @@ share/locale/uk/LC_MESSAGES/kigo.mo
 share/locale/zh_CN/LC_MESSAGES/kigo.mo
 share/locale/zh_TW/LC_MESSAGES/kigo.mo
 share/metainfo/org.kde.kigo.appdata.xml
-share/qlogging-categories5/kigo.categories
+share/qlogging-categories6/kigo.categories
+share/qlogging-categories6/kigo.renamecategories
diff --git a/games/killbots/Makefile b/games/killbots/Makefile
index a985fc804713..aeb7a2272c2e 100644
--- a/games/killbots/Makefile
+++ b/games/killbots/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/killbots/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n iconthemes itemviews kio \
-		libkdegames notifyconfig widgetsaddons xmlgui \
+		dbusaddons guiaddons i18n iconthemes itemviews kio libkdegames \
+		notifyconfig widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/killbots/distinfo b/games/killbots/distinfo
index 1e39c32abcbe..03782cf7b7b9 100644
--- a/games/killbots/distinfo
+++ b/games/killbots/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889390
-SHA256 (KDE/release-service/23.08.5/killbots-23.08.5.tar.xz) = 316d9edaed7129952185fc0e119769eeb0e1f27678a778483d73eafa87433548
-SIZE (KDE/release-service/23.08.5/killbots-23.08.5.tar.xz) = 1208076
+TIMESTAMP = 1734460142
+SHA256 (KDE/release-service/24.12.0/killbots-24.12.0.tar.xz) = 87ed1cc68613f067cef598456ffd7e0c1d650d194a7f1453de461fa38f57db7c
+SIZE (KDE/release-service/24.12.0/killbots-24.12.0.tar.xz) = 1173108
diff --git a/games/killbots/pkg-plist b/games/killbots/pkg-plist
index 3d8e7db00e67..c74507ca3507 100644
--- a/games/killbots/pkg-plist
+++ b/games/killbots/pkg-plist
@@ -25,6 +25,7 @@ share/icons/hicolor/64x64/apps/killbots.png
 %%DATADIR%%/themes/robotkill.png
 %%DATADIR%%/themes/robotkill.svgz
 share/locale/ar/LC_MESSAGES/killbots.mo
+share/locale/ast/LC_MESSAGES/killbots.mo
 share/locale/bg/LC_MESSAGES/killbots.mo
 share/locale/bs/LC_MESSAGES/killbots.mo
 share/locale/ca/LC_MESSAGES/killbots.mo
@@ -42,8 +43,10 @@ share/locale/fi/LC_MESSAGES/killbots.mo
 share/locale/fr/LC_MESSAGES/killbots.mo
 share/locale/ga/LC_MESSAGES/killbots.mo
 share/locale/gl/LC_MESSAGES/killbots.mo
+share/locale/he/LC_MESSAGES/killbots.mo
 share/locale/hr/LC_MESSAGES/killbots.mo
 share/locale/hu/LC_MESSAGES/killbots.mo
+share/locale/ia/LC_MESSAGES/killbots.mo
 share/locale/id/LC_MESSAGES/killbots.mo
 share/locale/is/LC_MESSAGES/killbots.mo
 share/locale/it/LC_MESSAGES/killbots.mo
@@ -79,4 +82,5 @@ share/locale/uk/LC_MESSAGES/killbots.mo
 share/locale/zh_CN/LC_MESSAGES/killbots.mo
 share/locale/zh_TW/LC_MESSAGES/killbots.mo
 share/metainfo/org.kde.killbots.appdata.xml
-share/qlogging-categories5/killbots.categories
+share/qlogging-categories6/killbots.categories
+share/qlogging-categories6/killbots.renamecategories
diff --git a/games/kiriki/Makefile b/games/kiriki/Makefile
index 7014f42c6da2..efefddc42688 100644
--- a/games/kiriki/Makefile
+++ b/games/kiriki/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kiriki/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		guiaddons i18n iconthemes kio libkdegames widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network printsupport svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kiriki/distinfo b/games/kiriki/distinfo
index 73868e9123b3..1e1c4858e770 100644
--- a/games/kiriki/distinfo
+++ b/games/kiriki/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889393
-SHA256 (KDE/release-service/23.08.5/kiriki-23.08.5.tar.xz) = c6b347264033dcfe0f44535828578595e7cec283ce3c872aa91a3856786aded6
-SIZE (KDE/release-service/23.08.5/kiriki-23.08.5.tar.xz) = 371540
+TIMESTAMP = 1734460144
+SHA256 (KDE/release-service/24.12.0/kiriki-24.12.0.tar.xz) = e5435d46785d6dbfd48228d1c929007cdeb2d9a2bd630f823ae62948430cbdeb
+SIZE (KDE/release-service/24.12.0/kiriki-24.12.0.tar.xz) = 374484
diff --git a/games/kiriki/pkg-plist b/games/kiriki/pkg-plist
index 706002fce779..67178e9266d3 100644
--- a/games/kiriki/pkg-plist
+++ b/games/kiriki/pkg-plist
@@ -14,6 +14,7 @@ share/icons/hicolor/64x64/apps/kiriki.png
 %%DATADIR%%/images/dice-6.png
 %%DATADIR%%/images/dice-none.png
 share/locale/ar/LC_MESSAGES/kiriki.mo
+share/locale/ast/LC_MESSAGES/kiriki.mo
 share/locale/be/LC_MESSAGES/kiriki.mo
 share/locale/bg/LC_MESSAGES/kiriki.mo
 share/locale/bs/LC_MESSAGES/kiriki.mo
@@ -33,10 +34,12 @@ share/locale/fi/LC_MESSAGES/kiriki.mo
 share/locale/fr/LC_MESSAGES/kiriki.mo
 share/locale/ga/LC_MESSAGES/kiriki.mo
 share/locale/gl/LC_MESSAGES/kiriki.mo
+share/locale/he/LC_MESSAGES/kiriki.mo
 share/locale/hi/LC_MESSAGES/kiriki.mo
 share/locale/hne/LC_MESSAGES/kiriki.mo
 share/locale/hr/LC_MESSAGES/kiriki.mo
 share/locale/hu/LC_MESSAGES/kiriki.mo
+share/locale/ia/LC_MESSAGES/kiriki.mo
 share/locale/id/LC_MESSAGES/kiriki.mo
 share/locale/is/LC_MESSAGES/kiriki.mo
 share/locale/it/LC_MESSAGES/kiriki.mo
diff --git a/games/kjumpingcube/Makefile b/games/kjumpingcube/Makefile
index cd9a8764a4ee..3da41111a655 100644
--- a/games/kjumpingcube/Makefile
+++ b/games/kjumpingcube/Makefile
@@ -6,14 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kjumpingcube/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n  iconthemes itemviews jobwidgets \
-		kio libkdegames newstuff notifyconfig service solid widgetsaddons \
+		dbusaddons guiaddons i18n iconthemes itemviews jobwidgets kio \
+		libkdegames newstuff notifyconfig service solid widgetsaddons \
 		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/kjumpingcube/distinfo b/games/kjumpingcube/distinfo
index c4e40a681224..2dd3a3531c9e 100644
--- a/games/kjumpingcube/distinfo
+++ b/games/kjumpingcube/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889373
-SHA256 (KDE/release-service/23.08.5/kjumpingcube-23.08.5.tar.xz) = 8deea1baf63b2cb8cb0cc10a75dd601f3bc60c970b373947459f626303d39c70
-SIZE (KDE/release-service/23.08.5/kjumpingcube-23.08.5.tar.xz) = 339036
+TIMESTAMP = 1734460146
+SHA256 (KDE/release-service/24.12.0/kjumpingcube-24.12.0.tar.xz) = 4c371004c9ca671f34a568c688cac82f592ec1a10f138b9089a124149d2cc230
+SIZE (KDE/release-service/24.12.0/kjumpingcube-24.12.0.tar.xz) = 346572
diff --git a/games/kjumpingcube/pkg-plist b/games/kjumpingcube/pkg-plist
index 9b83751dae74..26a3df68eb56 100644
--- a/games/kjumpingcube/pkg-plist
+++ b/games/kjumpingcube/pkg-plist
@@ -7,10 +7,11 @@ share/icons/hicolor/22x22/apps/kjumpingcube.png
 share/icons/hicolor/32x32/apps/kjumpingcube.png
 share/icons/hicolor/48x48/apps/kjumpingcube.png
 share/icons/hicolor/64x64/apps/kjumpingcube.png
-%%DATADIR%%/pics/default.desktop
-%%DATADIR%%/pics/default.svg
+%%DATADIR%%/themes/default.desktop
+%%DATADIR%%/themes/default.svgz
 share/locale/af/LC_MESSAGES/kjumpingcube.mo
 share/locale/ar/LC_MESSAGES/kjumpingcube.mo
+share/locale/ast/LC_MESSAGES/kjumpingcube.mo
 share/locale/be/LC_MESSAGES/kjumpingcube.mo
 share/locale/bg/LC_MESSAGES/kjumpingcube.mo
 share/locale/br/LC_MESSAGES/kjumpingcube.mo
@@ -37,6 +38,7 @@ share/locale/hi/LC_MESSAGES/kjumpingcube.mo
 share/locale/hne/LC_MESSAGES/kjumpingcube.mo
 share/locale/hr/LC_MESSAGES/kjumpingcube.mo
 share/locale/hu/LC_MESSAGES/kjumpingcube.mo
+share/locale/ia/LC_MESSAGES/kjumpingcube.mo
 share/locale/id/LC_MESSAGES/kjumpingcube.mo
 share/locale/is/LC_MESSAGES/kjumpingcube.mo
 share/locale/it/LC_MESSAGES/kjumpingcube.mo
@@ -83,4 +85,5 @@ share/locale/xh/LC_MESSAGES/kjumpingcube.mo
 share/locale/zh_CN/LC_MESSAGES/kjumpingcube.mo
 share/locale/zh_TW/LC_MESSAGES/kjumpingcube.mo
 share/metainfo/org.kde.kjumpingcube.appdata.xml
-share/qlogging-categories5/kjumpingcube.categories
+share/qlogging-categories6/kjumpingcube.categories
+share/qlogging-categories6/kjumpingcube.renamecategories
diff --git a/games/klickety/Makefile b/games/klickety/Makefile
index 511e01ce0218..2ad4cf7f2f5a 100644
--- a/games/klickety/Makefile
+++ b/games/klickety/Makefile
@@ -6,16 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 \
-		shebangfix tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 shebangfix tar:xz \
+		xorg
 SHEBANG_FILES=	src/klickety-2.0-inherit-ksame-highscore.pl
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons doctools i18n itemviews \
-		jobwidgets kio libkdegames notifications notifyconfig service \
-		solid widgetsaddons windowsystem xmlgui \
+		coreaddons crash dbusaddons doctools i18n itemviews jobwidgets \
+		kio libkdegames notifications notifyconfig service solid \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/klickety/distinfo b/games/klickety/distinfo
index f6299c0106ab..fc9c723f6ac6 100644
--- a/games/klickety/distinfo
+++ b/games/klickety/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889398
-SHA256 (KDE/release-service/23.08.5/klickety-23.08.5.tar.xz) = 69dc52d78d35659de5cef81f4bdacb2fd5d2625d980449aad0a497c806c89187
-SIZE (KDE/release-service/23.08.5/klickety-23.08.5.tar.xz) = 1502228
+TIMESTAMP = 1734460147
+SHA256 (KDE/release-service/24.12.0/klickety-24.12.0.tar.xz) = 1efec4b079e54c807bbc632e8823b58d0a7731e4cc215fb259396dad622586c2
+SIZE (KDE/release-service/24.12.0/klickety-24.12.0.tar.xz) = 1387332
diff --git a/games/klickety/pkg-plist b/games/klickety/pkg-plist
index e79824422f02..3548cc8adf42 100644
--- a/games/klickety/pkg-plist
+++ b/games/klickety/pkg-plist
@@ -16,15 +16,17 @@ share/icons/hicolor/64x64/apps/ksame.png
 share/kconf_update/klickety-2.0-inherit-ksame-highscore.pl
 share/kconf_update/klickety.upd
 %%DATADIR%%/klickety.kcfg
-%%DATADIR%%/themes/classic.svg
+%%DATADIR%%/themes/classic.svgz
 %%DATADIR%%/themes/classic_preview.png
 %%DATADIR%%/themes/default.desktop
 %%DATADIR%%/themes/ksame.desktop
-%%DATADIR%%/themes/ksame.svg
+%%DATADIR%%/themes/ksame.svgz
 %%DATADIR%%/themes/ksame_old.desktop
-%%DATADIR%%/themes/ksame_old.svg
+%%DATADIR%%/themes/ksame_old.svgz
 %%DATADIR%%/themes/ksame_old_preview.png
 %%DATADIR%%/themes/ksame_preview.png
+share/locale/ar/LC_MESSAGES/klickety.mo
+share/locale/ast/LC_MESSAGES/klickety.mo
 share/locale/bg/LC_MESSAGES/klickety.mo
 share/locale/bs/LC_MESSAGES/klickety.mo
 share/locale/ca/LC_MESSAGES/klickety.mo
@@ -34,6 +36,7 @@ share/locale/da/LC_MESSAGES/klickety.mo
 share/locale/de/LC_MESSAGES/klickety.mo
 share/locale/el/LC_MESSAGES/klickety.mo
 share/locale/en_GB/LC_MESSAGES/klickety.mo
+share/locale/eo/LC_MESSAGES/klickety.mo
 share/locale/es/LC_MESSAGES/klickety.mo
 share/locale/et/LC_MESSAGES/klickety.mo
 share/locale/eu/LC_MESSAGES/klickety.mo
@@ -41,7 +44,9 @@ share/locale/fi/LC_MESSAGES/klickety.mo
 share/locale/fr/LC_MESSAGES/klickety.mo
 share/locale/ga/LC_MESSAGES/klickety.mo
 share/locale/gl/LC_MESSAGES/klickety.mo
+share/locale/he/LC_MESSAGES/klickety.mo
 share/locale/hu/LC_MESSAGES/klickety.mo
+share/locale/ia/LC_MESSAGES/klickety.mo
 share/locale/id/LC_MESSAGES/klickety.mo
 share/locale/is/LC_MESSAGES/klickety.mo
 share/locale/it/LC_MESSAGES/klickety.mo
diff --git a/games/klines/Makefile b/games/klines/Makefile
index 99430274f7ad..0a28770d921a 100644
--- a/games/klines/Makefile
+++ b/games/klines/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/klines/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
-		guiaddons i18n iconthemes itemviews kio libkdegames \
-		newstuff service widgetsaddons xmlgui \
+		guiaddons i18n iconthemes itemviews kio libkdegames newstuff \
+		service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/klines/distinfo b/games/klines/distinfo
index 5562f655f6af..1b9b616d632a 100644
--- a/games/klines/distinfo
+++ b/games/klines/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889376
-SHA256 (KDE/release-service/23.08.5/klines-23.08.5.tar.xz) = fd7a44945d9402b4e1e601392c09255d82b86a0e0f7989a28b5fbb2bab8b371e
-SIZE (KDE/release-service/23.08.5/klines-23.08.5.tar.xz) = 1739488
+TIMESTAMP = 1734460149
+SHA256 (KDE/release-service/24.12.0/klines-24.12.0.tar.xz) = 1bbce72cf5775c254c0dbbe07fa6f7ee889bc57f3c8b55c0304969d4e9b23994
+SIZE (KDE/release-service/24.12.0/klines-24.12.0.tar.xz) = 1673788
diff --git a/games/klines/pkg-plist b/games/klines/pkg-plist
index a2c40aab8481..b0ec3f04d2a2 100644
--- a/games/klines/pkg-plist
+++ b/games/klines/pkg-plist
@@ -24,6 +24,7 @@ share/icons/hicolor/64x64/apps/klines.png
 %%DATADIR%%/themes/pool.svgz
 share/locale/af/LC_MESSAGES/klines.mo
 share/locale/ar/LC_MESSAGES/klines.mo
+share/locale/ast/LC_MESSAGES/klines.mo
 share/locale/be/LC_MESSAGES/klines.mo
 share/locale/bg/LC_MESSAGES/klines.mo
 share/locale/br/LC_MESSAGES/klines.mo
@@ -51,6 +52,7 @@ share/locale/hi/LC_MESSAGES/klines.mo
 share/locale/hne/LC_MESSAGES/klines.mo
 share/locale/hr/LC_MESSAGES/klines.mo
 share/locale/hu/LC_MESSAGES/klines.mo
+share/locale/ia/LC_MESSAGES/klines.mo
 share/locale/id/LC_MESSAGES/klines.mo
 share/locale/is/LC_MESSAGES/klines.mo
 share/locale/it/LC_MESSAGES/klines.mo
@@ -97,4 +99,5 @@ share/locale/xh/LC_MESSAGES/klines.mo
 share/locale/zh_CN/LC_MESSAGES/klines.mo
 share/locale/zh_TW/LC_MESSAGES/klines.mo
 share/metainfo/org.kde.klines.appdata.xml
-share/qlogging-categories5/klines.categories
+share/qlogging-categories6/klines.categories
+share/qlogging-categories6/klines.renamecategories
diff --git a/games/kmahjongg/Makefile b/games/kmahjongg/Makefile
index 997808a16c5b..9192eccb0cf3 100644
--- a/games/kmahjongg/Makefile
+++ b/games/kmahjongg/Makefile
@@ -6,15 +6,14 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kmahjongg/
 
-LIB_DEPENDS=	libKF5KMahjongglib.so:games/libkmahjongg
+LIB_DEPENDS=	libKMahjongg6.so:games/libkmahjongg
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		dbusaddons doctools i18n kdeclarative libkdegames newstuff \
 		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kmahjongg/distinfo b/games/kmahjongg/distinfo
index 356cd62184b5..ff8dcc449e8d 100644
--- a/games/kmahjongg/distinfo
+++ b/games/kmahjongg/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889386
-SHA256 (KDE/release-service/23.08.5/kmahjongg-23.08.5.tar.xz) = 8743ffa02b82d8a62d405dfc1ec6f05f16df8f0a9ca4c7e961f7f6723e1aa845
-SIZE (KDE/release-service/23.08.5/kmahjongg-23.08.5.tar.xz) = 4101108
+TIMESTAMP = 1734460151
+SHA256 (KDE/release-service/24.12.0/kmahjongg-24.12.0.tar.xz) = eb142a2d33f56cf9aada2181b3e876b31dbded90a7c4619a65a702e1438a5068
+SIZE (KDE/release-service/24.12.0/kmahjongg-24.12.0.tar.xz) = 3719808
diff --git a/games/kmahjongg/pkg-plist b/games/kmahjongg/pkg-plist
index 4f5186487b38..e3ba1dfbdc49 100644
--- a/games/kmahjongg/pkg-plist
+++ b/games/kmahjongg/pkg-plist
@@ -154,6 +154,7 @@ share/icons/hicolor/scalable/apps/kmahjongg.svgz
 %%DATADIR%%/layouts/well.layout
 share/locale/af/LC_MESSAGES/kmahjongg.mo
 share/locale/ar/LC_MESSAGES/kmahjongg.mo
+share/locale/ast/LC_MESSAGES/kmahjongg.mo
 share/locale/be/LC_MESSAGES/kmahjongg.mo
 share/locale/bg/LC_MESSAGES/kmahjongg.mo
 share/locale/bn/LC_MESSAGES/kmahjongg.mo
@@ -182,6 +183,7 @@ share/locale/hi/LC_MESSAGES/kmahjongg.mo
 share/locale/hne/LC_MESSAGES/kmahjongg.mo
 share/locale/hr/LC_MESSAGES/kmahjongg.mo
 share/locale/hu/LC_MESSAGES/kmahjongg.mo
+share/locale/ia/LC_MESSAGES/kmahjongg.mo
 share/locale/id/LC_MESSAGES/kmahjongg.mo
 share/locale/is/LC_MESSAGES/kmahjongg.mo
 share/locale/it/LC_MESSAGES/kmahjongg.mo
@@ -228,4 +230,5 @@ share/locale/xh/LC_MESSAGES/kmahjongg.mo
 share/locale/zh_CN/LC_MESSAGES/kmahjongg.mo
 share/locale/zh_TW/LC_MESSAGES/kmahjongg.mo
 share/metainfo/org.kde.kmahjongg.appdata.xml
-share/qlogging-categories5/kmahjongg.categories
+share/qlogging-categories6/kmahjongg.categories
+share/qlogging-categories6/kmahjongg.renamecategories
diff --git a/games/kmines/Makefile b/games/kmines/Makefile
index 28bf6b2ce8c9..60807daface8 100644
--- a/games/kmines/Makefile
+++ b/games/kmines/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kmines/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		i18n kio libkdegames notifyconfig sonnet textwidgets \
 		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kmines/distinfo b/games/kmines/distinfo
index a9abbd79cf1a..7750db866e28 100644
--- a/games/kmines/distinfo
+++ b/games/kmines/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889380
-SHA256 (KDE/release-service/23.08.5/kmines-23.08.5.tar.xz) = cbb32428ff922b0e6361e44ab4c6d50dbe8b62966469bc29822070b60b8e9353
-SIZE (KDE/release-service/23.08.5/kmines-23.08.5.tar.xz) = 1010708
+TIMESTAMP = 1734460153
+SHA256 (KDE/release-service/24.12.0/kmines-24.12.0.tar.xz) = 6c80d9afaad3d5c8a0361a0f758d4abbd7f386aa728f146e22dc7674d0b5c75b
+SIZE (KDE/release-service/24.12.0/kmines-24.12.0.tar.xz) = 948816
diff --git a/games/kmines/pkg-plist b/games/kmines/pkg-plist
index b11213d355f1..16dc1ee32d89 100644
--- a/games/kmines/pkg-plist
+++ b/games/kmines/pkg-plist
@@ -8,6 +8,10 @@ share/icons/hicolor/48x48/apps/kmines.png
 share/icons/hicolor/64x64/apps/kmines.png
 %%DATADIR%%/themes/classic.desktop
 %%DATADIR%%/themes/classic_preview.png
+%%DATADIR%%/themes/clean_blue.desktop
+%%DATADIR%%/themes/clean_blue_dark.desktop
+%%DATADIR%%/themes/clean_blue_dark_preview.png
+%%DATADIR%%/themes/clean_blue_preview.png
 %%DATADIR%%/themes/default.desktop
 %%DATADIR%%/themes/default_preview.png
 %%DATADIR%%/themes/graveyard-mayhem-preview.png
@@ -16,10 +20,13 @@ share/icons/hicolor/64x64/apps/kmines.png
 %%DATADIR%%/themes/green.desktop
 %%DATADIR%%/themes/green.png
 %%DATADIR%%/themes/kmines_classic.svgz
+%%DATADIR%%/themes/kmines_clean_blue.svgz
+%%DATADIR%%/themes/kmines_clean_blue_dark.svgz
 %%DATADIR%%/themes/kmines_green.svgz
 %%DATADIR%%/themes/kmines_oxygen.svgz
 share/locale/af/LC_MESSAGES/kmines.mo
 share/locale/ar/LC_MESSAGES/kmines.mo
+share/locale/ast/LC_MESSAGES/kmines.mo
 share/locale/be/LC_MESSAGES/kmines.mo
 share/locale/bg/LC_MESSAGES/kmines.mo
 share/locale/bn/LC_MESSAGES/kmines.mo
@@ -47,6 +54,7 @@ share/locale/hi/LC_MESSAGES/kmines.mo
 share/locale/hne/LC_MESSAGES/kmines.mo
 share/locale/hr/LC_MESSAGES/kmines.mo
 share/locale/hu/LC_MESSAGES/kmines.mo
+share/locale/ia/LC_MESSAGES/kmines.mo
 share/locale/id/LC_MESSAGES/kmines.mo
 share/locale/is/LC_MESSAGES/kmines.mo
 share/locale/it/LC_MESSAGES/kmines.mo
@@ -94,4 +102,5 @@ share/locale/xh/LC_MESSAGES/kmines.mo
 share/locale/zh_CN/LC_MESSAGES/kmines.mo
 share/locale/zh_TW/LC_MESSAGES/kmines.mo
 share/metainfo/org.kde.kmines.appdata.xml
-share/qlogging-categories5/kmines.categories
+share/qlogging-categories6/kmines.categories
+share/qlogging-categories6/kmines.renamecategories
diff --git a/games/knavalbattle/Makefile b/games/knavalbattle/Makefile
index cdc351afd50a..26e6896da8c1 100644
--- a/games/knavalbattle/Makefile
+++ b/games/knavalbattle/Makefile
@@ -6,13 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		http://www.kde.org/applications/games/navalbattle/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons dnssd doctools i18n libkdegames sonnet \
-		textwidgets widgetsaddons xmlgui \
+		dbusaddons dnssd doctools i18n libkdegames sonnet textwidgets \
+		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/knavalbattle/distinfo b/games/knavalbattle/distinfo
index 61ff075f85a3..5797c5b07d29 100644
--- a/games/knavalbattle/distinfo
+++ b/games/knavalbattle/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889399
-SHA256 (KDE/release-service/23.08.5/knavalbattle-23.08.5.tar.xz) = cbfe8b0ee711be88da2d989e1aae17ab94e2ff06a42471b3e99b343fbaa24727
-SIZE (KDE/release-service/23.08.5/knavalbattle-23.08.5.tar.xz) = 1402920
+TIMESTAMP = 1734460154
+SHA256 (KDE/release-service/24.12.0/knavalbattle-24.12.0.tar.xz) = 1e3b228532cf6e66ea30207ce4a17b7d2caa556c81032b98aaccd63f78b7a30b
+SIZE (KDE/release-service/24.12.0/knavalbattle-24.12.0.tar.xz) = 1047940
diff --git a/games/knavalbattle/pkg-plist b/games/knavalbattle/pkg-plist
index 668d9fbdd658..4a34d1740130 100644
--- a/games/knavalbattle/pkg-plist
+++ b/games/knavalbattle/pkg-plist
@@ -6,14 +6,15 @@ share/icons/hicolor/22x22/apps/knavalbattle.png
 share/icons/hicolor/32x32/apps/knavalbattle.png
 share/icons/hicolor/48x48/apps/knavalbattle.png
 share/icons/hicolor/64x64/apps/knavalbattle.png
-%%DATADIR%%/pictures/default.desktop
-%%DATADIR%%/pictures/default_theme.svgz
 %%DATADIR%%/sounds/ship-player-shoot-water.ogg
 %%DATADIR%%/sounds/ship-player1-shoot.ogg
 %%DATADIR%%/sounds/ship-player2-shoot.ogg
 %%DATADIR%%/sounds/ship-sink.ogg
+%%DATADIR%%/themes/default.desktop
+%%DATADIR%%/themes/default.svgz
 share/locale/af/LC_MESSAGES/knavalbattle.mo
 share/locale/ar/LC_MESSAGES/knavalbattle.mo
+share/locale/ast/LC_MESSAGES/knavalbattle.mo
 share/locale/be/LC_MESSAGES/knavalbattle.mo
 share/locale/bg/LC_MESSAGES/knavalbattle.mo
 share/locale/bn/LC_MESSAGES/knavalbattle.mo
@@ -42,6 +43,7 @@ share/locale/hi/LC_MESSAGES/knavalbattle.mo
 share/locale/hne/LC_MESSAGES/knavalbattle.mo
 share/locale/hr/LC_MESSAGES/knavalbattle.mo
 share/locale/hu/LC_MESSAGES/knavalbattle.mo
+share/locale/ia/LC_MESSAGES/knavalbattle.mo
 share/locale/id/LC_MESSAGES/knavalbattle.mo
 share/locale/is/LC_MESSAGES/knavalbattle.mo
 share/locale/it/LC_MESSAGES/knavalbattle.mo
@@ -88,4 +90,5 @@ share/locale/xh/LC_MESSAGES/knavalbattle.mo
 share/locale/zh_CN/LC_MESSAGES/knavalbattle.mo
 share/locale/zh_TW/LC_MESSAGES/knavalbattle.mo
 share/metainfo/org.kde.knavalbattle.appdata.xml
-share/qlogging-categories5/knavalbattle.categories
+share/qlogging-categories6/knavalbattle.categories
+share/qlogging-categories6/knavalbattle.renamecategories
